<script lang="ts">
  import CloseIcon from 'icons/CloseIcon';

  export let onClose;
</script>

<div class="flex justify-between items-start p-5 rounded-t border-b dark:border-gray-600">
  <h3 class="text-xl font-semibold text-gray-900 lg:text-2xl dark:text-white">
    <slot></slot>
  </h3>
  <button
    on:click={onClose}
    class="text-gray-400 bg-transparent hover:bg-gray-200 hover:text-gray-900 rounded-lg text-sm p-1.5 ml-auto
      inline-flex items-center dark:hover:bg-gray-600 dark:hover:text-white">
    <CloseIcon />
  </button>
</div>
